configuration.h File Reference

Mptcpd configuration parser header. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | mptcpd_config
| mptcpd configuration parameters More...

## Typedefs

typedef void(* | mptcpd_set_log_func_t) (void)

## Functions

struct mptcpd_config * | mptcpd_config_create (int argc, char *argv[])
| Create a new mptcpd configuration. More...
void | mptcpd_config_destroy (struct mptcpd_config *config)
| Destroy the mptcpd configuration. More...

## Detailed Description

Mptcpd configuration parser header.

Copyright (c) 2018, 2019, 2021, Intel Corporation

## Typedef Documentation

## mptcpd_set_log_func_t

typedef void(* mptcpd_set_log_func_t) (void)

Function pointer corresponding to the ELL functions that set the underlying logging mechanism, e.g. `l_log_set_stderr`, `l_log_set_syslog` and `l_log_set_journal`.

## Function Documentation

## mptcpd_config_create()

struct mptcpd_config* mptcpd_config_create | ( | int | argc,
|  | char * | argv[]
| ) |  |

Create a new mptcpd configuration.

Parameters

  [in] | argc | Command line argument count.
  [in,out] | argv | Command line argument vector.

Returns
  Mptcpd configuration information.

## mptcpd_config_destroy()

void mptcpd_config_destroy | ( | struct mptcpd_config * | config | ) |

Destroy the mptcpd configuration.

Deallocate all mptcpd configuration resources.

Parameters

  [in,out] | config | Mptcpd configuration to be finalized.